summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--TODO3
-rw-r--r--src/opkbuild.sh4
2 files changed, 2 insertions, 5 deletions
diff --git a/TODO b/TODO
index be75858..56d1a7f 100644
--- a/TODO
+++ b/TODO
@@ -23,9 +23,6 @@ Functional Changes
`check_dep()`. If a `Deprecated` field exists, call `ob_error()` with the
name of the replacement package (if any). If build dependency deprecation
failures are enabled, exit with an error status.
- - Make opkbuild always run ob-checkbuilddeps regardless of `-d` option and
- only exit with an error status if ob-checkbuilddeps fails and `-d` is
- specified.
* Make binary package `Description` fields architecture- and platform-
independent (so a packages index Web site can show one description for a
binary package for all its architectures and platforms).
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index 2bd9c48..5b368fc 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -424,8 +424,8 @@ main()
if [ x"${opt_build}" != x'source' ]; then
print_arch_stats
- if "${opt_check_build_deps}"; then
- if ! "${bindir}/ob-checkbuilddeps"; then
+ if ! "${bindir}/ob-checkbuilddeps"; then
+ if "${opt_check_build_deps}"; then
return 1
fi
fi